Show / Hide Table of Contents

# Class EmphasisItalicPayload

An SeString Payload containing information about enabling or disabling italics formatting on following text.

##### Inheritance

System.Object
Payload
EmphasisItalicPayload

##### Inherited Members

Payload.Dirty
Payload.DataResolver
Payload.Encode(Boolean)
Payload.Decode(BinaryReader, DataManager)
Payload.START_BYTE
Payload.END_BYTE
Payload.GetInteger(BinaryReader)
Payload.MakeInteger(UInt32, Boolean, Boolean)
Payload.GetMarkerForIntegerBytes(Byte[])
Payload.GetMarkerForPackedIntegerBytes(Byte[])
Payload.GetPackedIntegers(BinaryReader)
Payload.MakePackedInteger(UInt32, UInt32, Boolean)
System.Object.Equals(System.Object)
System.Object.Equals(System.Object, System.Object)
System.Object.ReferenceEquals(System.Object, System.Object)
System.Object.GetHashCode()
System.Object.GetType()
System.Object.MemberwiseClone()

###### Namespace: Dalamud.Game.Chat.SeStringHandling.Payloads

###### Assembly: Dalamud.dll

##### Syntax

    public class EmphasisItalicPayload : Payload

##### Remarks

As with other formatting payloads, this is only useful in a payload block, where it affects any subsequent text payloads.

### Constructors

| Improve this Doc View Source

#### EmphasisItalicPayload(Boolean)

Creates an EmphasisItalicPayload.

##### Declaration

    public EmphasisItalicPayload(bool enabled)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Boolean | enabled | Whether italics formatting should be enabled or disabled for following text.

### Properties

| Improve this Doc View Source

#### IsEnabled

Whether this payload enables italics formatting for following text.

##### Declaration

    public bool IsEnabled { get; }

##### Property Value

Type | Description
--- | ---
System.Boolean |

| Improve this Doc View Source

#### ItalicsOff

Payload representing disabling italics on following text.

##### Declaration

    public static EmphasisItalicPayload ItalicsOff { get; }

##### Property Value

Type | Description
--- | ---
EmphasisItalicPayload |

| Improve this Doc View Source

#### ItalicsOn

Payload representing enabling italics on following text.

##### Declaration

    public static EmphasisItalicPayload ItalicsOn { get; }

##### Property Value

Type | Description
--- | ---
EmphasisItalicPayload |

| Improve this Doc View Source

#### Type

##### Declaration

    public override PayloadType Type { get; }

##### Property Value

Type | Description
--- | ---
PayloadType |

##### Overrides

Payload.Type

### Methods

| Improve this Doc View Source

#### DecodeImpl(BinaryReader, Int64)

##### Declaration

    protected override void DecodeImpl(BinaryReader reader, long endOfStream)

##### Parameters

Type | Name | Description
--- | --- | ---
System.IO.BinaryReader | reader |
System.Int64 | endOfStream |

##### Overrides

Payload.DecodeImpl(BinaryReader, Int64)
| Improve this Doc View Source

#### EncodeImpl()

##### Declaration

    protected override byte[] EncodeImpl()

##### Returns

Type | Description
--- | ---
System.Byte[] |

##### Overrides

Payload.EncodeImpl()
| Improve this Doc View Source

#### ToString()

##### Declaration

    public override string ToString()

##### Returns

Type | Description
--- | ---
System.String |

##### Overrides

System.Object.ToString()